using Microsoft.Extensions.DependencyInjection;
using Portfolio.Application.Services.Articles;
using Portfolio.Application.Services.NWSWeatherService;
using Portfolio.Application.Services.PokemonNatureService;
using Portfolio.Application.Services.PokemonService;
using Portfolio.Application.Services.PokemonSubskillService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Portfolio.Application
{
    public static class DependencyInjection
    {
        public static IServiceCollection AddApplication(this IServiceCollection services)
        {
            services.AddScoped<IArticleService, ArticleService>();
            services.AddScoped<IPokemonService, PokemonService>();
            services.AddScoped<IPokemonSubskillService, PokemonSubskillService>();
            services.AddScoped<IPokemonNatureService, PokemonNatureService>();
            //services.AddScoped<INWSWeatherService, NWSWeatherService>();



            return services;
        }
    }
}
